#
# spec file for package python-imagesize
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-imagesize
Version:        0.7.1
Release:        2.1
Summary:        Getting image size from PNG/JPEG/JPEG2000/GIF files
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/shibukawa/imagesize_py
Source:         https://files.pythonhosted.org/packages/source/i/imagesize/imagesize-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%python_subpackages

%description
Pure Python library which parses image files' header and returns the image size.

Supported formats:
 * PNG
 * JPEG
 * JPEG2000
 * GIF

%prep
%setup -q -n imagesize-%{version}

%build
%python_build

%install
%python_install

%files %{python_files}
%defattr(-,root,root,-)
%{python_sitelib}/*
%doc README.rst

%changelog
* Wed Apr  5 2017 tbechtold@suse.com
- Fix python_module macro definition
* Sat Mar 11 2017 jengelh@inai.de
- Typographic corrections to descriptions
* Mon Dec 19 2016 jmatejek@suse.com
- update for multipython build
* Sun May 29 2016 michael@stroeder.com
- initial version
